rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
rpmioItem_s Struct Reference

`#include <rpmio/rpmiotypes.h>`

## Data Fields
void * | use
void * | pool

## Detailed Description

Definition at line 34 of file rpmiotypes.h.

## Field Documentation

void* rpmioItem_s::pool

pool (or NULL if malloc'd)

Definition at line 38 of file rpmiotypes.h.

Referenced by rpmioFreePool(), rpmioFreePoolItem(), rpmioGetPool(), rpmioLinkPoolItem(), rpmioPutPool(), and rpmioUnlinkPoolItem().

void* rpmioItem_s::use

use count – return to pool when zero

Definition at line 36 of file rpmiotypes.h.

Referenced by headerLoad(), headerUsageCount(), httpOpen(), rpmioFreePool(), rpmioFreePoolItem(), rpmioGetPool(), rpmioLinkPoolItem(), rpmioPutPool(), and rpmioUnlinkPoolItem().

The documentation for this struct was generated from the following file:

- rpmio/rpmiotypes.h